package db_service

import (
	"cron_admin/app/http/entities/backend"
	"cron_admin/app/models/crondbmodel"
	"xorm.io/builder"
)

func DbList(request *backend.DbListRequest, page int, limit int) (count int64, DbListInfo []crondbmodel.CronDb, err error) {
	conn := builder.NewCond()
	if request.DbName != "" {
		conn = conn.And(builder.Like{"DbName", request.DbName})
	}
	if request.DbType != "" {
		conn = conn.And(builder.Like{"DbType", request.DbType})
	}
	if request.Status != 0 {
		conn = conn.And(builder.Eq{"Status": request.Status})
	}
	session := crondbmodel.GetInstance().GetDb().Where(conn)
	if page != 0 && limit != 0 {
		session = session.Limit(limit, (page-1)*limit)
	}
	count, err = session.FindAndCount(&DbListInfo)
	if err != nil {
		return
	}
	return

}
